@import url("https://fonts.googleapis.com/css2?family=Work+Sans:wght@300;400;500;600;700&display=swap");
@import "reboot.scss";
@import "utils.scss";
@import "media-queries.scss";

:root {
    --color-primary: #ffdd9e;
    --color-primary-light: #fff1d8;
    --color-secondary: #f6b09a;
    --color-secondary-light: #fde6dc;
    --color-infos-primary: #d5e1f0;
    --color-infos-secondary: #d99383;
    --color-gray: #969595;
    --color-gray-light: #f2f2f2;
    --color-shade: #161616;
    --color-light: #ffffff;
    --font-base: "Work Sans", sans-serif;
    --font-size-2xs: 0.625rem;
    --font-size-xs: 0.75rem;
    --font-size-sm: 0.875rem;
    --font-size-base: 1rem;
    --font-size-md: 1.125rem;
    --font-size-lg: 1.25rem;
    --font-size-xl: 1.5rem;
    --font-size-1xl: 1.875rem;
    --font-size-2xl: 2rem;
    --font-size-3xl: 2.25rem;
    --font-size-4xl: 2.5rem;
}

html {
    font-family: var(--font-base);
}

.container {
    margin-left: auto;
    margin-right: auto;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    width: 100%;
}

h3 {
    margin: 0;
}

a.btn {
    text-decoration: none;
}

img {
    height: auto;
    max-width: 100%;
}

.btn {
    text-align: center;
    padding: 0.75rem 2rem;
    border: 1px solid transparent;
    display: inline-block;
    font-size: var(--font-size-sm);
    font-weight: bold;
    //font-family: var(--font-cond);
    &:focus {
        outline: 0;
    }
    > .icon {
        position: relative;
        font-size: 0.7rem;
        margin: 0 0 0 0.5rem;
        color: var(--color-secondary);
    }
    svg {
        margin-right: 5px;
    }
    border-radius: var(--radius);
}

section {
    margin-top: 3rem;
}

.absolute {
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    padding: 0;
    position: absolute;
    width: auto;
    z-index: -1;
}

.header {
    &-top {
        background-color: var(--color-primary);
        padding: 1rem 0;
        text-align: center;
    }
    &-nav {
        display: flex;
        justify-content: space-between;
        align-items: center;
        &-toggle {
            img {
                width: 40px;
                background-color: var(--color-infos-secondary);
                border-radius: 50%;
                padding: 5px;
            }
        }
        &-logo {
            img {
                width: 100px;
            }
        }
        &-profil {
            img {
                width: 30px;
                margin-left: 10px;
            }
        }
        &-links {
            display: none;
        }
    }
}
.main {
    .slider {
        position: relative;
        figure {
            height: 56.25vw;
            img {
                width: 100%;
                height: 100%;
                object-fit: cover;
            }
        }
        .arrows {
            width: 100%;
            height: 100%;
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 0 2rem;
            .previous,
            .next {
                font-size: var(--font-size-2xl);
                background: rgb(0 0 0 / 15%);
                border-radius: 50%;
                padding: 15px;
            }
        }
    }
    .slogan {
        background-color: var(--color-primary-light);
        padding: 1rem 0;
        &-text {
            h1 {
                color: var(--color-infos-secondary);
                font-weight: 700;
                font-size: var(--font-size-md);
                text-align: center;
            }
        }
    }
    .selection {
        &-text {
            text-align: center;
            padding-bottom: 2rem;
            h1,
            a {
                color: var(--color-shade);
            }
        }
        &-media {
            display: flex;
            justify-content: space-around;
            align-items: center;
            flex-wrap: wrap;
            margin: 1em 0;
            gap: 10px;
            @include media-breakpoint-down(sm) {
                justify-content: center;
            }
            .col-4 {
                text-align: center;
                figure {
                    background-color: var(--color-secondary-light);
                    border-radius: 16px;
                }
                p {
                    font-size: var(--font-size-lg);
                    font-weight: 500;
                    color: var(--color-gray);
                }
            }
        }
    }
    .about {
        color: var(--color-light);
        position: relative;
        display: flex;
        flex-wrap: wrap;
        .col-2 {
            width: 50%;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            @include media-breakpoint-down(sm) {
                width: 100%;
            }
        }
        &-text {
            padding: 1rem;
            background-color: #eb9993;
            margin: 0;
            text-align: center;
        }
        &-media {
            img {
                width: 100%;
            }
        }
    }
    .categorie {
        h3 {
            padding: 2rem 0;
            font-size: var(--font-size-1xl);
        }
        &-list {
            display: flex;
            flex-wrap: wrap;
            text-align: center;
            align-self: center;
            justify-content: space-between;
            @include media-breakpoint-down(sm) {
                justify-content: center;
            }
            .col-6 {
                padding: 2em 0;
                margin: 5px 5px;
                width: 180px;
                background-color: var(--color-primary-light);
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;
                border-radius: 32px;
                &:nth-child(1) {
                    img {
                        max-width: 50px;
                    }
                }
            }
        }
    }
    .faq {
        .list {
            display: flex;
            flex-wrap: wrap;
            .col-2 {
                width: 50%;
                @include media-breakpoint-down(sm) {
                    width: 100%;
                }
            }
            .faq-media {
                img {
                    width: 100%;
                }
            }
            .faq-text {
                background-color: var(--color-infos-secondary);
                padding: 1em 0;

                @include media-breakpoint-down(sm) {
                    padding: 5rem 2rem;
                }
                .container {
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    justify-content: center;
                    height: 100%;
                    h3 {
                        color: var(--color-light);
                        font-size: var(--font-size-1xl);
                    }
                    .faq-text-btn {
                        text-align: center;
                    }
                }
            }
        }

        &-reassurance {
            background-color: var(--color-infos-primary);
            padding: 1rem;
            text-align: center;
            .container {
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: space-between;
                flex-wrap: wrap;
                gap: 1rem;
                padding: 2rem 0;
                @include media-breakpoint-down(sm) {
                    justify-content: center;
                }
                .col-3 {
                    display: flex;
                    flex-direction: row;
                    justify-content: space-between;
                    align-items: center;
                    @include media-breakpoint-down(sm) {
                        flex-direction: column;
                        width: 100%;
                    }
                    p {
                        max-width: 200px;
                    }
                    img {
                        background-color: var(--color-infos-secondary);
                        width: 100px;
                        height: 100px;
                        border-radius: 50%;
                        padding: 1em;
                    }
                }
            }
        }
    }
    .newsletters {
        text-align: center;
        form {
            display: flex;
            flex-direction: column;
            .cases {
                width: 100%;
                height: 50px;
                background-color: var(--color-gray-light);
                border: none;
            }
            .btn {
                margin-top: 10px;
            }
        }
    }
}
footer {
    margin-top: 3rem;
    background-color: var(--color-primary-light);
}
